> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of reseller's notification settings



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/reselling/resellers/{resellerId}/notification_settings
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/reselling/resellers/{resellerId}/notification_settings:
    get:
      tags:
        - Notification Settings
      summary: Get List of reseller's notification settings
      operationId: iamGetNotificationSettings
      parameters:
        - $ref: '#/components/parameters/ResellerID'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
        - $ref: '#/components/parameters/Ordering'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationSettingsPaginatedArray'
          description: ''
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    ResellerID:
      name: resellerId
      in: path
      required: true
      description: Reseller ID.
      schema:
        type: integer
    Limit:
      name: limit
      in: query
      description: The maximum number of items.
      schema:
        type: integer
    Offset:
      name: offset
      in: query
      description: Offset relative to the beginning of list.
      schema:
        type: integer
    Ordering:
      name: ordering
      required: false
      in: query
      description: Which field to use when ordering the results.
      schema:
        type: string
      example: '-id'
  schemas:
    NotificationSettingsPaginatedArray:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: number
          description: Total number of users
        next:
          type: string
          description: URL to the next users slice
          example: >-
            reselling/resellers/{resellerId}/notification_settings?offset=20&limit=10
        previous:
          type: string
          description: URL to the previous users slice
          example: >-
            reselling/resellers/{resellerId}/notification_settings?offset=10&limit=10
        results:
          type: array
          items:
            allOf:
              - readOnly: true
              - $ref: '#/components/schemas/NotificationSettingsRead'
              - properties:
                  id:
                    type: integer
    NotificationSettingsRead:
      type: object
      required:
        - id
        - reseller
        - notification_type
        - email
        - enabled
      properties:
        id:
          type: integer
          readOnly: true
        reseller:
          type: integer
        notification_type:
          enum:
            - deletion_request
            - failed_login
          type: string
          description: |-
            - `deletion_request` - Deletion Request
            - `failed_login` - Failed Login
        email:
          type: string
          format: email
          maxLength: 254
        enabled:
          type: boolean
      readOnly: true
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    '403':
      description: You do not have permission to perform this action.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````